Package de.willuhn.jameica.hbci.server

# Class Value

java.lang.Object
de.willuhn.jameica.hbci.server.Value

public class Value extends Object
Hilfsklasse, die einen Saldo oder Betrag zu einem Zeitpunkt kapselt.

## Constructor Summary

Constructors
Constructor
Description
`Value()`
ct.
`Value(Date date, double value)`
ct.

## Method Summary

Modifier and Type
Method
Description
`Date`
`getDate()`
Liefert das Datum.
`double`
`getValue()`
Liefert den Betrag zu dem Datum.
`void`
`setDate(Date d)`
Speichert das Datum.
`void`
`setValue(double d)`
Speichert den Betrag.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Value

public Value()
ct. Parameterloser Konstruktor fuer Bean-Spezifikation.

### Value

public Value(Date date, double value)
ct.

Parameters:
  `date` - das Datum.
  `value` - der Betrag.

## Method Details

### getValue

public double getValue()
Liefert den Betrag zu dem Datum.

Returns:
  der Betrag zu dem Datum.

### getDate

public Date getDate()
Liefert das Datum.

Returns:
  das Datum.

### setValue

public void setValue(double d)
Speichert den Betrag.

Parameters:
  `d` - der Betrag.

### setDate

public void setDate(Date d)
Speichert das Datum.

Parameters:
  `d` - das Datum.

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`